Page MenuHomePhabricator

Turn on "diffusion.allow-http-auth"
Closed, DeclinedPublic

Description

When creating a Phabricator hosted repository, and trying to serve it over http (even for "Read only"), Phabricator warns that:

NOTE: The configuration setting diffusion.allow-http-auth is currently disabled. You must enable it to activate authenticated access to repositories over HTTP.

When going ahead nonetheless, and saving the changes, the repository status says:

Missing Binary git-http-backend	Unable to find this binary in the webserver's PATH. You may need to configure environment.append-paths.

Details

Reference
fl203

Revisions and Commits

rMSCA Scap
Abandoned

Event Timeline

flimport raised the priority of this task from to Medium.Sep 12 2014, 1:30 AM
flimport set Reference to fl203.

qchris wrote on 2014-04-23 21:52:24 (UTC)

(assigned to aklapper, as I have no clue who maintains this Phabricator instance, and he could hopefully re-assign correctly)

qgil wrote on 2014-04-23 23:43:39 (UTC)

Reassigning to Chad because I don't feel confident about touching anything related to repository configuration.

demon wrote on 2014-04-30 00:28:02 (UTC)

Updated diffusion.allow-http-auth to be true.

Still looking at the git-http-backend thing.

Qgil closed this task as Declined.Oct 9 2014, 11:10 PM
Qgil claimed this task.

Let's close this for now. Please reopen if this is needed when we enable Diffusion here.

epriestley changed the task status from Declined to Resolved by committing Unknown Object (Diffusion Commit).Mar 4 2015, 8:24 AM
epriestley added a commit: Unknown Object (Diffusion Commit).
Qgil changed the task status from Resolved to Declined.Mar 4 2015, 8:33 AM

Accidental clash. Known issue. Reverting status.